6.0.0-git
2021-03-07

[#6105] graphics directory and mozilla theme
Summary graphics directory and mozilla theme
Queue Horde Base
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester tinu (at) humbapa (dot) ch
Created 2008-01-12 (4803 days ago)
Due
Updated 2008-01-14 (4801 days ago)
Assigned 2008-01-12 (4803 days ago)
Resolved 2008-01-14 (4801 days ago)
Milestone
Patch No

History
2008-01-14 03:10:36 Chuck Hagenbuch Comment #3
Assigned to Chuck Hagenbuch
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Added.
2008-01-12 09:23:37 Jan Schneider Comment #2
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
A solution might be to add a placeholder file into the theme directory 
if it provides icons. Shouldn't be more expensive than checking for a 
directory existence.
2008-01-12 07:29:04 tinu (at) humbapa (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ graphics directory and mozilla theme
Queue ⇒ Horde Base
Reply to this comment
the mozilla theme has a graphics directory with just 3 images in it. 
since getImageDir() in framework/Horde/Horde/Registry.php only checks 
if the graphics directory exists, the mozilla theme now looks pretty 
ugly :-)



my short solution was to create symbolic links to the missing images. 
eg.: cd horde/themes/mozilla/graphics; for f in ../../graphics/*; do 
ln -s $f; done



thanks!

Saved Queries